質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.12%

vagrantで「php5.6・MTインストール済み」の開発環境を用意したい

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,165

cat0138

score 31

作業したこと

表題の通りなのですが、「php5.6/MTインストール済み」の開発環境を作成したいと思っています。
※ちなみにWindowsです。

まず、
http://www.h-fj.com/blog/archives/2013/08/06-114046.php
こちらの解説サイトにあるようにmtがインストールされた開発環境を用意し、
php5.6での動作状況を確かめるために中身を複製しました。

次に、サーバは「CentOS6.4」でしたので、
http://qiita.com/ozawan/items/caf6e7ddec7c6b31f01e
こちらのサイトにあるように、
PHP5.6をインストールするようにコマンドを入れていきました。

参考サイトではこれでphp5.6をインストールできると書いてあったのですが、
自分のPCでは「pph5.4.45」しかダウンロードできません。
※調べてみると、最新のphpが5.4.45と出ます。

お答えいただきたいこと

php5.6をインストールするにはどうすればいいでしょか?

追加情報

実際に入力したコマンドは下記になります。

まず、

vagrant init mt http://bit.ly/14YqsP7


でMTOSインストール済み環境の初期化をしました。

次に、

yum install epel-release
rpm -Uvh http://rpms.famillecollet.com/enterprise/remi-release-6.rpm


の2つのコマンドを実行し、

rpm -qa | grep php


で現在のphpのバージョンがphp5.4.20であることを確認いたしました。

そして、

yum remove php-*


で一度phpを削除し、

yum install --enablerepo=remi,remi-php56 php php-devel php-mbstring php-pdo php-gd


でphp5.6をインストールするコマンドを実行しました。

ここまではサイト通りだったのですが、ここで

php --version


と入力してバージョンを確認すると、

PHP 5.4.45 (cli) (built: May 29 2016 09:17:38)
Copyright (c) 1997-2014 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2014 Zend Technologies


と出力されます。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

参考にされたサイトの手順でインストールできると思いますが、うまく行かないということは、どこかでエラーメッセージが、出ていないでしょうか?

もし、うまく行かないときは、「入力したコマンド」と「表示された出力」を できる限り省略せずに書いていただけないでしょうか。


epelとremiのリポジトリを追加する

rpm -Uvh http://ftp.iij.ad.jp/pub/linux/fedora/epel/6/x86_64/epel-release-6-8.noarch.rpm
rpm -Uvh http://rpms.famillecollet.com/enterprise/remi-release-6.rpm

インストール済みの php を削除

yum remove php*

yum で、remi や remi-php56 を指定して、php のインストールを実施。

yum install --enablerepo=remi --enablerepo=remi-php56 php php-opcache php-devel php-mbstring php-mcrypt php-mysqlnd

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/06/21 22:22

    特にエラーは出ておりません。先ほど、実行したコマンドについて追記いたしました。
    お手数ですが、ご確認いただいてもよろしいでしょうか。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.12%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる